; build AHK plugin for Qatapult

LibDir := "pieces\Lib"

ResultDir := "AHK"

TempDir := "Temp-Directory-Feel-Free-To-Delete-When-Done"

; as mentioned at:
;   http://www.autohotkey.com/forum/topic43049.html
AutoHotkeyHZipURL := "http://www.autohotkey.net/~HotKeyIt/AutoHotkey.zip"
AHKHZipFile := TempDir . "\AutoHotkey_H.zip"

SevenZipAExe := "tools\7zaCompressedWithMPress.exe"

;;;

MsgBox, % "About to build AHK plugin for Qatapult."

; XXX
SetWorkingDir, % A_ScriptDir

OutputDebug, % "Creating temporary directory"
FileCreateDir, % TempDir

OutputDebug, % "Creating plugin directory structure"
FileCreateDir, % ResultDir . "\Lib"

OutputDebug, % "Downloading AutoHotkey_H"
UrlDownloadToFile, % AutoHotkeyHZipURL, % AHKHZipFile
If (ErrorLevel != 0)
{
  MsgBox, % "UrlDownloadToFile had problems downloading: " . AutoHotkeyHZipURL
  ExitApp
}

OutputDebug, % "Extracting AutoHotkey_H"
UnzipCommand := SevenZipAExe . " x " . AHKHZipFile . " -o" . TempDir
OutputDebug, % "Unzip command: " . UnzipCommand
RunWait, % UnzipCommand

OutputDebug, % "Copying AHK_H files to plugin directory"
FileCopy, % TempDir . "\Win32w\AutoHotkey.exe", % ResultDir . "\"
FileCopy, % TempDir . "\Win32w\AutoHotkey.dll", % ResultDir . "\"
FileCopy, % TempDir . "\Lib\AhkDllThread.ahk", % ResultDir . "\Lib\"

OutputDebug, % "Copying Lib directory content to plugin directory"
FileCopy, % LibDir . "\*.ahk", % ResultDir . "\Lib\"

MsgBox, % "Copy or move the AHK directory to Qatapult's plugin directory."
